.\"
.\" $Revision: 1.6 $  $Date: 2004/01/11 16:08:34 $
.\"
.TH 1 "January 2002" "SIP Toolbox"
.SH NAME
angle \- gradient direction of edges
.SH "SYNOPSIS"
.nf
theta = angle(DeltaX, DeltaY)
.fi
.SH PARAMETERS
.TP
.B DeltaX and Delta Y
M x N intensity images, resulting from convolution with gradient
masks in two orthogonal directions 
.TP
.B theta
Intensity image. Each pixel has the angle of the approximated
gradient, in radians. Where DeltaX is zero, theta is taken as PI/2.
.SH DESCRIPTION
The function \fBangle\fR obtains the gradient direction "theta"
from images yielded from convolution with gradient masks
in direction x and y (Deltax and Deltay, respectively).
.SH EXAMPLE
.nf
initial_dir = PWD;
chdir (SIPDIR + 'images');

Img = imread('disks.bmp');
xbasc()
imshow(Img,2);
Dx = edge(Img,thresh=-1, direction='horizontal');
Dy = edge(Img,thresh=-1, direction='vertical');
t = angle(Dx,Dy);
imshow(t,[])

chdir(initial_dir);
.fi
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
edge
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
