.\"
.\" $Revision: 1.11 $ $Date: 2004/02/03 08:45:50 $
.\"
.TH BWBORDER 1 "January 2002" "SIP Toolbox"
.SH NAME
bwborder \- border detection for binary images
.SH "SYNOPSIS"
.nf
B = bwborder(Img)
B = bwborder(Img, 4)    
B = bwborder(Img, 8)
.fi
.SH PARAMETERS
.TP
.B Img
binary array,  1 for object and 0 for background (double
precision)
.TP
.B B
binary(0-1) array (double), same size as Img
.SH DESCRIPTION
Extracts contours from binary
images, by detecting which pixel valued 1 has
at least one neighbor valued 0.
The second argument is 4 or 8 depending if the detection is 
to be made in 4- or 8-neighborhood. 
The final border will be 
8-connected if 4-neighbors are used, and 4-connected if
8-neighbors are used.
.LP
\fBbwborder(Img)\fR 
equals \fBbwborder(Img, 8)\fR.
.SH EXAMPLE
.nf
initial_dir = PWD;
chdir (SIPDIR + 'images');

Img = imread('bin2.pbm')
xbasc()
imshow(Img,2);
B = bwborder(Img)
imshow(B,2);

chdir(initial_dir);
.fi
.SH "BUGS AND SHORTCOMINGS"
Images are stored in double precision matrices. Hopefully, the next release
will make usage of integer types.
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
edge, follow, im2bw
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
