.\"
.\" $Revision: 1.7 $  $Date: 2004/02/05 08:01:17 $
.\"
.TH DILATE 1 "January 2002" "SIP Toolbox"
.SH NAME
dilate \- morphological dilation of binary images
.SH "SYNOPSIS"
.nf
E = dilate(Img, [SE, center])
.fi
.SH PARAMETERS
.TP
.B Img
M x N Binary image to be dilated. (0 for background, 1 for object)
.TP
.B E
M x N Binary dilated image. 
.TP
.B SE
Arbitrary structuring element represented 
as a binary array.
Defaults to: 
.nf
            [0 1 0
             1 1 1 
             0 1 0]
.fi
.TP
.B center
origin of structuring element.
Shold be within image dimensions.
Defaults to the center of the SE array. 
.SH DESCRIPTION
Function \fBdilate\fR performs morphological dilation of a 
binary image \fRImg\fR using \fISE\fR as the structuring element.
.SH EXAMPLE
.nf

Img = imread(SIPDIR+'images/tru.jpg');
Img = 1-im2bw(Img, 0.3);
Img = thin(Img);
xbasc()
imshow(Img ,2);

e = dilate(Img);
xbasc()
imshow(e ,2);

SE = eye(10,10);
e = dilate(Img, SE, [1,1]);
xbasc()
imshow(e ,2);

.fi
.SH REMARKS
The algorithm is fully functional, but there
exists many better ones. The present implementation 
will certainly change, but the interface
shall remain unaltered.
.SH REFERENCE
"Morphological Algorithms", Luc Vincent, in
"Mathematical Morphology in Image Processing", 
Ed. Marcel Dekker, 1993.
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
erode, edilate, bwdist, watershed (example)
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
