.\"
.\" $Revision: 1.3 $  $Date: 2004/02/05 07:02:11 $
.\"
.TH EDILATE 1 "MARCH 2003" "SIP Toolbox"
.SH NAME
edilate \- euclidean morphological dilation of binary images
.SH "SYNOPSIS"
.nf
Dil = edilate(Img, [radius, form])
.fi
.SH PARAMETERS
.TP
.B Img
M x N Binary image to be dilated. (0 for background, 1 for object)
.TP
.B radius
 - of circular euclidean structuring element to be used. Defaults to 5.
.TP
.B form
determines the size of Dil. It assumes be one of the following
values:
.RS
.PD 0
.TP
.B 'same' 
Dil has the same size as the original image, M x N. 
The image is assumed to be 0 outside its bounds.
.TP
.B 'full' 
Dil contains the full dilation, (M+2*radius-1) x (N+2*radius-1).
The image is assumed to be 0 outside its bounds. 
.PD
.PP
.SH DESCRIPTION
Function \fBedilate\fR performs exact euclidean dilation of a 
binary image \fRImg\fR using a circle as the structuring element.
It is implemented in C to be fast.
.SH EXAMPLE
.nf
Img = gray_imread(SIPDIR+'images/tru.jpg');
Img = 1-im2bw(Img, 0.3);
xbasc()
imshow(Img,2);
e = edilate(Img,7);
xbasc()
imshow(e,2);
.fi
.SH REFERENCES
"Shape Analysis and Classification", L. da
F. Costa and R. M. Cesar Jr., CRC Press.
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
dilate, erode, bwdist, thin, skel
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
