.\"
.\" $Revision: 1.7 $  $Date: 2004/02/05 09:24:16 $
.\"
.TH GSM2D 1 "January 2002" "SIP Toolbox"
.SH NAME
gsm2d \- 2D gaussian smoothing
.SH "SYNOPSIS"
.nf
MG = gsm(M [,sigma]);
.fi
.SH PARAMETERS
.TP
.B M
the matrix (intensity image) to be smoothed
.TP
.B sigma
the standard deviation of the gaussian kernel. Defaults to 5.
.TP
.B MG
the smoothed image. 
.SH DESCRIPTION
Function \fBgsm\fR performs 2D gaussian smoothing of the image M, with
standard deviation sigma, using FFT.
.SH EXAMPLE
.nf
initial_dir = PWD;
chdir (SIPDIR + 'images');

[Img,map] = imread('onca.gif');
xbasc()
imshow(Img,map);
Img = im2gray(Img, map);   // Img is now 0-1 range
xbasc()
imshow(Img);
Img = gsm2d(Img,2);
xbasc()
imshow(Img);

chdir(initial_dir);
.fi
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
gsm, imconv, fft
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
