.\"
.\" $Revision: 1.3 $ $Date: 2004/02/03 08:45:50 $
.\"
.TH HELLO_SIP 1 "NOVEMBER 2002" "SIP Toolbox"
.SH NAME
hello_sip \- learn to add your own C routine to SIP
.SH "SYNOPSIS"
.nf
sum = hello_sip(a,b)
.fi
.SH PARAMETERS
.TP
.B a
double-precision scalar
.TP
.B b
double-precision scalar
.TP
.B c
double-precision scalar
.SH DESCRIPTION
"hello_sip" is a very simple example routine. The aim is that new developers 
know quickly how to add a new C-language implemented function to SIP.
.LP
hello_sip(a,b) simply returns a + b through a C routine.
.LP
The following files in the SIP sourcecode tree are related to the
implementation of hello_sip:
.RS
.PD 0
.TP
src/hello_int.c --          
interfaces C to Scilab
.TP
src/builder.sce -- 
specifies the interface files and scilab name; this script is ran by
Scilab to compile the interface C routines into a shared library.
.TP
From AnImaL (aminal.sourceforge.net), 
animal/hello.c -- 
routine that returns a+b
.TP
From AnImaL (aminal.sourceforge.net),
animal/hello.h -- 
header with the prototype of hello
.TP
From AnImaL (aminal.sourceforge.net),
animal/animal.h 
general header for the internal C library

.PD
.PP

.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
In the SIP source tree, start with the "hello.c" file inside the
directory "src".
.LP
Obsoleted: Figure 1 of the first SIP monograph
(written in portuguese), which may be found in the SIP home page.
SIP now uses an independent computer vision library, AnImaL, for its internal
processing. See:
\%http://animal.sourceforge.net
.LP
Moreover, in the scilab source tree, the directories
"examples/interface-tour.so" and "examples/interface-tutorial.so"
provide detailed information on interfacing C and Scilab.
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
