.\"
.\" $Revision: 1.3 $  $Date: 2004/02/05 09:24:16 $
.\"
.TH IHOUGH 1 "January 2002" "SIP Toolbox"
.SH NAME
ihough \- inverse hough transform 
.SH "SYNOPSIS"
.nf
im = ihough(ht,dims)
.fi
.SH PARAMETERS
.TP
.B im
binary image with digital straight lines
.TP
.B ht
binarized Hough transform accumulation matrix. Rho varies along rows; theta
varies along columns. Theta range is 0-179 degrees w/ 180 samples.
.TP
.B dims
vector with the size of the output image. Can be the output of the "size" routine.

.SH DESCRIPTION
Function \fBihough\fR calculates the inverse hough transform of a
binary image.  It takes as input a binarized hough image, and draws
the corresponding digital straight lines in the output image.

.SH EXAMPLE
Cf. help page for \fRhough\fP.
.SH REFERENCES
"Shape Analysis and Classification", L. da
F. Costa and R. M. Cesar Jr., CRC Press. 
.LP
"Digital Image Processing Algorithms", I. 
Pitas, Prentice Hall.
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
hough, drawline, edge
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
