.\"
.\" $Revision: 1.8 $  $Date: 2004/02/05 09:24:16 $
.\"
.TH IM2BW 1 "January 2002" "SIP Toolbox"
.SH NAME
im2bw \- convert images to binary by thresholding
.SH "SYNOPSIS"
.nf
BW = im2bw(Img, level [, maxvalue])
BW = im2bw(Index, map, level [, maxvalue])
.fi
.SH PARAMETERS
.TP
.B Img
M x N x 3 truecolor image or M x N grayscale intensity image.
.TP
.B index and map
M x N indexed image and its M x 3 colormap.
.TP
.B level
the threshold level, between 0 to 1 (a ratio, like percentage). 
Pixels of the image that are higher or equal than the level are mapped
to 1, while pixels that are strictly lower than the level are mapped
to zero.

.TP
.B maxvalue
the maximum value to assume Img can take. (Optional, defaults to
1)
.SH DESCRIPTION
Function \fBim2bw\fR converts RGB images, indexed images and
grayscale intensity images to binary, by thresholding.
.SH EXAMPLE
.nf
initial_dir = PWD;
chdir (SIPDIR + 'images');

[Img,map] = imread('indian.bmp');
xbasc()
imshow(Img, map);
bw = im2bw(Img, map,0.5);
imshow(bw,2);
bw = im2bw(Img, map,0.2);
imshow(bw,2);

chdir(initial_dir);
.fi
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
im2gray
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
