.\"
.\" $Revision: 1.8 $  $Date: 2004/02/03 08:45:50 $
.\"
.TH IM2GRAY 1 "January 2002" "SIP Toolbox"
.SH NAME
im2gray \- converts color images or colormaps to grayscale
.SH "SYNOPSIS"
.nf
GrayImg = im2gray(RGBImg)
GrayImg = im2gray(index, map)
GrayMap = im2gray(RGBColormap)
.fi
.SH PARAMETERS
.TP
.B RGBImg
M x N x 3 truecolor image in any range.
.TP
.B RGBColormap
M x 3 colormap in rgb colorspace.
.TP
.B index and map
M x N indexed image and its M x 3 colormap.
.TP
.B GrayImg
M x N intensity image.
.TP
.B GrayMap
M x 3 colormap.
.SH DESCRIPTION
Function \fBim2gray\fR converts RGB images, indexed images and RGB
colormaps to grayscale. This is accomplished by converting these
objects to YIQ colorspace, make the I and Q channels equal to zero,
and finally converting back to RGB colorspace.

.SH EXAMPLE
.nf
initial_dir = PWD;
chdir (SIPDIR + 'images');

Img = imread('tru.jpg');
Img = im2gray(Img);
xbasc()
imshow(Img);

chdir(initial_dir);
.fi
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
im2bw, rgb2ntsc
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
