.\"
.\" $Revision: 1.4 $  $Date: 2004/02/07 00:57:40 $
.\"
.TH IMPROFILE 1 "February 2004" "SIP Toolbox"
.SH NAME
improfile \- draws intensity profiles of an image
.SH "SYNOPSIS"
.nf
[hprofile,vprofile]=improfile(matrix[,option,maximal_luminance])
.fi
.SH PARAMETERS
.TP
.B matrix
The gray-level matrix obtained by matrix=imread("my_picture.jpg").
.TP
.B option
0 to draw the profiles on the image
1 to draw the profiles in separated windows.
2 to draw the profiles on the image and the gaussian interpolation
(used with laser beam images)
Default=0.
.TP
.B maximal_luminance
hprofile and vprofile will contain values in the 0-1 range.
To draw the profile, you can specify a multiplication factor to these values.
For example, if your initial image was 8bits, you could pass 255 as the
maximal luminanace of the image.
Default= 255.
.TP
.B hprofile (or vprofile)
Matrix containing the horizontal (or vertical) profile selected.

.SH DESCRIPTION
Draws the values of pixels on a line and/or a row.
Can draw profiles on the image or in separate windows.
With the option=2, you can determine radius w of a laser beam, 
which allows you to find the beam waist.

This function was created (and tested) only with gray level images.

.SH EXAMPLE
.nf
a=imread(SIPDIR+'images/tru.jpg');
g=im2gray(a);
improfile(g);

//profiles in separate windows
improfile(g,1)

//laser beam visualisation
b=gray_imread(SIPDIR+'images/photonics/laser1.jpg');
improfile(b,2);


.fi
.SH REMARKS
   This function is a bit different than its MatLab equivalent.
.SH AUTHORS
Jocelyn DRUEL <jocelyn.druel1@libertysurf.fr>
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
xgetpixel
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
