.\"
.\" $Revision: 1.6 $  $Date: 2004/01/15 21:05:29 $
.\"
.TH IMROI "January 2004" "SIP Toolbox"
.SH NAME
imroi \- roi (region of interest) of an image
.SH "SYNOPSIS"
.nf
mask=imroi(image[,type_of_mask,option])
.fi
.SH PARAMETERS
.TP
.B image
A gray, color or binary image.
.TP
.B type_of_mask
\'rect': rectangular or
\'ellipse' are the only available selections by now.

.TP
.B option
0 displays no coordinates (default)
.br
1 displays coordinates
.TP
.B mask
Binary matrix (0 and 1) corresponding to the image selection.
It has the same size as the input image (e.g. it is 3D if the input is
3D, and 2D if the input is 2D).

.SH DESCRIPTION
The function allows the user to select a Region of Interest (ROI) 
in an image ALREADY DISPLAYED, and returns the corresponding binary matrix.

The mask is working with any of binary, gray or color images.

With the ellipse selection, you draw the rectangle in which the ellipse is drawn.

.SH EXAMPLE
.nf
a=imread(SIPDIR+'images/ararauna.jpg');
xset("window",0);xbasc();
imshow(a);
mask=imroi(a);
//the user must then select the ROI with the mouse
b=a.*mask;
xset("window",1);xbasc();
imshow(b);//displays just the ROI

.fi
.SH REMARKS
The Matlab equivalent is roipoly, whose interface is a bit more
complicated.

With Scilab-2.6, for color images, the image.*mask is not working
(problem of matrix sizes).
One possibility to solve this:
.br
image(1,1,1)=image(1,1,1);
.br
then you can do
.br
image.*mask;
With Scilab-2.7 there is no problem.

.SH TIP 
To generate much more complex ROI's, you can use the Gimp (GNU Image
Manipulation Program) <www.gimp.org>, although of course this is not
an integrated solution.

.SH AUTHORS
Jocelyn DRUEL <jocelyn.druel1@libertysurf.fr>

The code to display coordinates comes directly from the function xgetpixel
by Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
imread, xgetpixel, GIMP
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
