.\"
.\" $Revision: 1.2 $  $Date: 2004/02/05 09:24:16 $
.\"
.TH IND2RGB 1 "January 2004" "SIP Toolbox"
.SH NAME
ind2rgb \- convert indexed images to truecolor storage
.SH "SYNOPSIS"
.nf
RGB = ind2rgb(Index, map)
.fi
.SH PARAMETERS
.TP
.B index and map
M x N indexed image and its M x 3 colormap.
.TP
.B RGB
M x N x 3  truecolor image in the 0-1 range.
.TP
.SH DESCRIPTION
Function \fBind2rgb\fR converts indexed image storage to RGB (direct)
truecolor storage.

.SH EXAMPLE
.nf
initial_dir = PWD;
chdir (SIPDIR + 'images');

[Img,map] = imread('indian.bmp');
xbasc()
imshow(Img, map);
RGB = ind2rgb(Img, map);
imshow(RGB);

chdir(initial_dir);
.fi
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
im2gray, im2bw
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
