.\"
.\" $Revision: 1.1 $  $Date: 2004/02/07 01:16:58 $
.\"
.TH INTERFEROMETRY_GUI 1 "February 2004" "SIP Toolbox"
.SH NAME
interferometry_gui \- Graphical User Interface (GUI) for SIP functions

.SH DESCRIPTION
This is a quick start guide: 
first of all, this GUI was written to make tests in the photonic field, 
which means you'll find many functions related to laser images.

As it is highly customizable, you can adapt it easily to your needs.

Here is a description of a few experiments and pictures:
.br
1) laser1.jpg is a picture of a laser beam magnified by an microscope
objective X10 and filtered by a pinhole of a few microns (=spatial filter).
.br
Operation > Profiles show the intensity profiles.
.br
LaserBeam > Find Gaussian Profiles allows modelling of these profiles
by a gaussian curve (laser beam should have a gaussian profile).
The beam waist can be deducted from these values.
.br
The laser speckle can be smoothed by one (or several) median filtering(s)
found in Operations: this filter removes the high-frequency noise.

.br
2) speckle1.png and speckle2.png are 2 images of an experiment
in speckle interferometry: a Michelson interferometer is created but
the 1st mirror is replaced by a rugged metallic piece and the second one
is replaced by a metallic rule.
.br
A CCD Camera saves a first image.
.br
The rule is bent. The Camera take a second picture.
.br
Try, Open > speckle1.png then Operations > substract 2 images (absolute value).
.br
Fringes appear: between 2 dark fringes, the rule has moved from a distance equal
to the light wavelength/2 (here, 633/2=316.5 nm).
.br
Normalization, filtering can help better visualization of the fringes.

.br
3) pyramide_wrapped.jpg is what is called a phased image:
it was obtained by projecting fringes on an object then on a reference plane.
.br
The goal is to modelize the object in 3D.
Operations > Profiles show that luminance is somewhat proportional to altitude,
but each time its value reach 255, there's a jump and the luminance restart
from zero.
.br
The phase unwrapping process is intended to remove these jumps.
.br
PhasedImages > Unwrap linearly can do it with a very good quality image 
(like pyramide_wrapped.jpg).
.br
A more complex algorithm is used by Unwrap by path following: it can unwrap more
difficult images. You can test with the merit function called Variance:
it's usually the best choice.
.br
Be a bit patient when launching those functions: it takes some time (about
2 min on a recent computer).

.br
.SH AUTHORS
Jocelyn DRUEL <jocelyn.druel1@libertysurf.fr>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
unwrapp, unwrapl, improfile
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
