.\"
.\" $Revision: 1.10 $ $Date: 2004/02/05 09:24:16 $
.\"
.TH NORMAL 1 "January 2002" "SIP Toolbox"
.SH NAME
normal \- normalize array to a given range
.SH "SYNOPSIS"
.nf
N = normal(M, upper, lower)
.fi
.SH PARAMETERS
.TP
.B M
array 
.TP
.B N
normalized array
.TP
\fBupper\fR and \fBlower\fR 
range limits of N. 
\fIlower\fR \fIdefaults\fR to 0.
\fIupper\fR \fIdefaults\fR to 1.
.SH DESCRIPTION
Function \fBnormal\fR normalizes a matrix 
\fIM\fR to occupy \fIlower-upper\fR range.
The intent of this function is to be a shortcut to
a simple but often used operation.
.LP
\fBN = normal(M)\fR normalizes \fIN\fR to 0-1 range.
.LP
\fBN = normal(M,upper)\fR normalizes \fIN\fR to 0-upper range.
.LP
\fBN = normal(M,lower,upper)\fR normalizes \fIN\fR to lower-upper range.
.SH EXAMPLE
.nf
initial_dir = PWD;
chdir (SIPDIR + 'images');

Img = gray_imread('gra.jpg');
mini(Img)      
maxi(Img)
N = normal(Img,255);
mini(N)      
maxi(N)

chdir(initial_dir);
.fi
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
imshow
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
