.\"
.\" $Revision: 1.9 $ $Date: 2004/02/05 20:11:02 $
.\"
.TH NTSC2RGB 1 "January 2002" "SIP Toolbox"
.SH NAME
ntsc2rgb \- converts from YIQ to RGB colorspace
.SH "SYNOPSIS"
.nf
RGB = ntsc2rgb(YIQ)
.fi
.SH PARAMETERS
.TP
.B RGB 
A RGB image (M x N x 3) in 0-1 range or a RGB colormap (M x 3) in
0-1 range
.TP
.B YIQ
A YIQ image (M x N x 3) in 0-1 range or a YIQ colormap (M x 3) in
0-1 range
.SH DESCRIPTION
\fBntsc2rgb(YIQ)\fP converts an YIQ image or colormap from YIQ to
RGB colorspace. The YIQ model is used in NTSC and European TV's. It
is useful for b&w and color compatibility, since the cromaticity (I
and Q) and luminance (Y) are conveniently isolated. \fBntsc2rgb(YIQ)\fP
uses the following operation to convert each YIQ triplet:
.LP
.nf
        ! R !   !  1.000  0.956    0.621   !   ! Y !
        ! G ! = !  1.000  -0.272   -0.647  ! * ! I !
        ! B !   !  1.000  -1.105   1.702   !   ! Q !
.fi
.SH EXAMPLE
.nf
initial_dir = PWD;
chdir (SIPDIR + 'images');

rgb = imread('tru.jpg');   // RGB colorspace 0-1
imshow(rgb);
yiq = rgb2ntsc(rgb);        // YIQ colorspace 0-1
yiq(:,:,2) = yiq(:,:,2) /4; // Decrease chromaticity
yiq(:,:,3) = yiq(:,:,3) /4; 
rgb = ntsc2rgb(yiq);
imshow(rgb);

chdir(initial_dir);
.fi
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
rgb2ntsc, im2gray
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
