.\"
.\" $Revision: 1.3 $  $Date: 2004/02/05 06:20:42 $
.\"
.TH PERCOL 1 "September 2002" "SIP Toolbox"
.SH NAME
percol \- test if binary image is percolated 
.SH "SYNOPSIS"
.nf
p = percol(img [,direction])
.fi
.SH PARAMETERS
.TP
.B img 
an image in which 0 is considered background, while positive values are
considered object (also called site).
.TP
.B direction
1 if percolation is to be tested horizontally; 0 if it is to be tested
vertically
.TP
.B p
1 if image is percolated; 0 otherwise. 

.SH DESCRIPTION
Function \fBpercol\fR tests if an image is 4-connected from side to side.
This is useful for analysing images comming from site percolation simulations.
The \fBpercol\fR routine has the advantage to be implemented in the C language.
.SH EXAMPLE
.nf

p=0.02;
a = 1*(rand(10,10) <= p)
while (~percol(a))   // test the image if one side connects to the other
   p = p+0.02; 
   a = 1*(rand(10,10) <= p);
end

// now, surely, the image is connected side-to-side (i.e., it has percolated)
xbasc();
imshow(1-a,2); // 1 is displayed as black

.fi
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
xgetmouse, xclick, locate
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
