.\"
.\" $Revision: 1.2 $ $Date: 2004/02/05 09:24:16 $
.\"
.TH PERIM 1 "MAY 2003" "SIP Toolbox"
.SH NAME
perim \- perimeter of binary shape
.SH "SYNOPSIS"
.nf
p = perim(Img)
.fi
.SH PARAMETERS
.TP
.B Img
binary array,  1 for object and 0 for background (double
precision)
.TP
.B p
approximate perimeter of the shape inside Img
.SH DESCRIPTION
This is a simple routine to measure the perimeter of a 2D shape.
It assumes border pixels as a polygonal line: adjacent border pixels
has measure size 1 or sqrt(2).
.SH EXAMPLE
.nf
initial_dir = PWD;
chdir (SIPDIR + 'images');

Img = imread('star.bmp');
xbasc()
imshow(Img,2);
p = perim(Img)

chdir(initial_dir);
.fi
.SH "BUGS AND SHORTCOMINGS"
Images are stored in double precision matrices. Hopefully, the next release
will make usage of integer types.
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
follow, bwborder, edge, im2bw
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"

