.\"
.\" $Revision: 1.11 $ $Date: 2004/02/05 20:01:05 $
.\"
.TH RGB2NTSC 1 "January 2002" "SIP Toolbox"
.SH NAME
rgb2ntsc \- converts from RGB to YIQ colorspace
.SH "SYNOPSIS"
.nf
YIQ = rgb2ntsc(RGB)
.fi
.SH PARAMETERS
.TP
.B RGB 
A RGB image (M x N x 3) in 0-1 range or a RGB colormap (M x 3) in
0-1 range
.TP
.B YIQ
A YIQ image (M x N x 3) in 0-1 range or a YIQ colormap (M x 3) in
0-1 range
.SH DESCRIPTION
\fBrgb2ntsc(RGB)\fP converts an RGB image or colormap from RGB to
YIQ colorspace. The YIQ model is used in NTSC and European TV's. It
is useful for b&w and color compatibility, since the cromaticity (I
and Q) and luminance (Y) are conveniently isolated. \fBrgb2ntsc(RGB)\fP
uses the following operation to convert each RGB triplet:
.LP
.nf
        ! Y !   !  0.299 0.587  0.114   !   ! R !
        ! I ! = !  0.596 -0.274 -0.322  ! * ! G !
        ! Q !   !  0.212 -0.523 0.311   !   ! B !
.fi
.SH EXAMPLE
.nf
initial_dir = PWD;
chdir (SIPDIR + 'images');

rgb = imread('tru.jpg');   // RGB colorspace, 0-1 range
imshow(rgb);
yiq = rgb2ntsc(rgb);        // YIQ colorspace, 0-1 range
yiq(:,:,2) = yiq(:,:,2) /4; // Decrease chromaticity
yiq(:,:,3) = yiq(:,:,3) /4; 
rgb = ntsc2rgb(yiq);
imshow(rgb);

chdir(initial_dir);
.fi
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
ntsc2rgb, im2gray
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
