.\"
.\" $Revision: 1.4 $  $Date: 2004/02/05 09:24:16 $
.\"
.TH XGETPIXEL 1 "September 2002" "SIP Toolbox"
.SH NAME
xgetpixel \- gets the pixel coordinates from an image
.SH "SYNOPSIS"
.nf
p = xgetpixel(arg [,winno])
.fi
.SH PARAMETERS
.TP
.B arg
the number of rows in the considered image, or the image itself, depending on what's
more convenient to the user.
.TP
.B winno
the number of the scilab graphical window. Defaults to the current active window.
.TP
.B p
the (row,col) coordinate of the pixel that have been clicked on the image.
.SH DESCRIPTION
Function \fBxgetpixel\fR interactively shows the (row,col) position of the mouse
cursor over an image ploted into scilab graphic.
.SH EXAMPLE
.nf
initial_dir = PWD;
chdir (SIPDIR + 'images');

[im,map] = imread('example.bmp');
xbasc()
imshow(im,map);

p = xgetpixel(im)

chdir(initial_dir);
.fi
.SH AUTHORS
Ricardo Fabbri <rfabbri@if.sc.usp.br>
.SH AVAILABILITY
The latest version of the Scilab Image Processing toolbox can be
found at
.IP
\%http://siptoolbox.sourceforge.net
.SH "SEE ALSO"
xgetmouse, xclick, locate
.\"
.\" SIP - Scilab Image Processing toolbox
.\" Copyright (C) 2002-2004  Ricardo Fabbri
.\"
.\" See the file COPYING for license-related issues
.\"
