/*
 * =============================================================================
 *
 * $Revision: 1.5 $ $Date: 2003/02/26 15:26:10 $
 *
 * SIP - Scilab Image Processing Toolbox
 * Copyright (C) 2002-2004  Ricardo Fabbri <rfabbri@if.sc.usp.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * =============================================================================
 */ 

#include "sip_common.h"
#include <stdlib.h>
#include <string.h>

SipExport int
sip_setenv_int(char *fname)
{
   int rname,cname,pname,
       rval,cval,pval,
       minlhs=1, maxlhs=1, minrhs=2, maxrhs=2;

   CheckRhs(minrhs,maxrhs);
   CheckLhs(minlhs,maxlhs);

   GetRhsVar(1, "c", &rname, &cname, &pname); 
   GetRhsVar(2, "c", &rval, &cval, &pval);

   if ( setenv(cstk(pname), cstk(pval), 0) == -1 ) {
      sip_error("environment is already full");
      return false;
   }

   LhsVar(1)=0;
   
   return true;
}
